summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authornirvanazc <nirvanazc@gmail.com>2011-07-12 19:00:30 -0700
committerDustin Sallings <dustin@spy.net>2011-07-12 19:02:20 -0700
commit457ef49c7ab54ae6b104d5a97a0dac64fc710629 (patch)
tree19a92f3d3b464ccbf153b842cdc7a250f0bd3bc7 /autogen.sh
parent59be51ca3f2b547426f0a2e45b213936a69f721c (diff)
downloadmemcached-457ef49c7ab54ae6b104d5a97a0dac64fc710629.tar.gz
Fix autogen failure when unable to find supported command.
Closing issue 190
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 9f372b4..c735394 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,6 +3,11 @@
# Get the initial version.
perl version.pl
+die() {
+ echo "$@"
+ exit 1
+}
+
# Try to locate a program by using which, and verify that the file is an
# executable
locate_binary() {